package expertiseFinderPrototype.expertiseModelling;

import java.util.*;
import java.io.*;

/**
 * This class creates Employee objects from information found in the 
 * employee database.
 */

public class Employee {
    private String name;
    private String telephoneNo;
    private String email;
    private String unit;
    private String position;
    private String employmentDate;
    
    public Employee(String name, String employmentDate, String email, String telephoneNo, String unit, String position) {
        this.name = name;
        this.employmentDate = employmentDate;
        this.email = email;
        this.telephoneNo = telephoneNo;
        this.unit = unit;
        this.position = position;
    }
    
    //arrayList holding the employees
    ArrayList employee = new ArrayList();
    
    //gets name from an Employee object
    public String getName() {
        return this.name;
    }
    
//returns information about en Employee object
    public String toString() {
        return "name: " + name + "\nTelefon: " + telephoneNo + "\nemail: " + email +
                "\nunit: " + unit + "\nposition: " +
                position + "\nAnsatt-dato: " + employmentDate;
    }

    public String getEmploymentDate() {
        return this.employmentDate;
    }
}


