package expertiseFinderPrototype.globals;

/**
 * This class is a storage for static variables
 *
 * @author Audun Vennesland
 */
import java.util.*;
import java.sql.*;
import java.io.*;

public class GlobalValues {

public static String k2000_dir = "C:\\scenario_hovedoppgave\\K2000_mapper\\522000_2005";    
public static String dataDir = "C:\\scenario_hovedoppgave\\K2000_documents_txt";
public static String indexDir = "C:\\scenario_hovedoppgave\\index";
public static String precache = "C:\\scenario_hovedoppgave\\precache";
public static String cache = "C:\\scenario_hovedoppgave\\cache";
public static String cache_index = "C:\\scenario_hovedoppgave\\cache_index";
public static String html_index = "C:\\scenario_hovedoppgave\\html_index";
public static String contentFieldName = "content";
public static String fileNameFieldName = "filename";
public static String databaseDriver = "com.mysql.jdbc.Driver";
public static String databaseName = "jdbc:mysql://localhost/ansatte";
public static String db_username = "root";
public static String db_password = "";
public static String seperators = " \t\n.,:;?!-/()[]\"\'";

/* Unfiltered query */
public static String queryWOFilter = "SELECT * FROM personal";

/* This query filters results by unit. 
 * 500000 = Trondheim property administration
 * 510000 = Environment unit
 * 522000 = City planning office
 * 523000 = Building applications office
 * 525000 = Map- and surveying office
 * 529000 = Trondheim City technique
 */
public static String queryWFilter = "SELECT * FROM personal where unitNO = 51000";

//the actual query
public static String searchFrase = "avfall";

/**
 * ---Search expressions:---
 * bruksendring -> documents containing the term bruksendring
 * bruksendring OR igangsettingstillatelse -> documents containing either bruksendring or brukstillatelse
 * +bruksendring +igangsettingstillatelse -> documents containing both the terms bruksendring and igangsettingstillatelse
 * title:bruksendring -> documents containing the term bruksendring in the titlefield
 * "bruksendring Bysveien" -> documents containing the exact frase 'bruksendring Bysveien'
 * "bruksendring Bysveien"~5 -> documents containing both the terms bruksendring and Bysveien within 5 positions from each other
 * bruks* -> documents containing terms that begin with bruks... e.g. bruksendring or brukstillatelse
 * java~ -> documents containing terms that resembles java, e.g lava
 * (agile OR extreme) AND methodology -> documents containing the term methodology and which also contain the terms agile or extreme
 */ 


}






